% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/NACHO-package.R
\docType{package}
\name{NACHO-package}
\alias{NACHO}
\alias{NACHO-package}
\title{NACHO: NanoString Quality Control Dashboard}
\description{
NanoString nCounter data are gene expression assays where there is no need for the use of enzymes or amplification protocols and work with fluorescent barcodes (Geiss et al. (2018) \doi{10.1038/nbt1385}). Each barcode is assigned a messenger-RNA/micro-RNA (mRNA/miRNA) which after bonding with its target can be counted. As a result each count of a specific barcode represents the presence of its target mRNA/miRNA. 'NACHO' (NAnoString quality Control dasHbOard) is able to analyse the exported NanoString nCounter data and facilitates the user in performing a quality control. 'NACHO' does this by visualising quality control metrics, expression of control genes, principal components and sample specific size factors in an interactive web application.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/mcanouil/NACHO/}
  \item \url{https://m.canouil.fr/NACHO/}
  \item Report bugs at \url{https://github.com/mcanouil/NACHO/issues}
}

}
\author{
\strong{Maintainer}: Mickaël Canouil \email{mickael.canouil@cnrs.fr} (\href{https://orcid.org/0000-0002-3396-4549}{ORCID})

Authors:
\itemize{
  \item Roderick Slieker \email{R.C.Slieker@lumc.nl} (\href{https://orcid.org/0000-0003-0961-9152}{ORCID})
  \item Gerard Bouland \email{G.A.Bouland@lumc.nl}
}

}
\keyword{internal}
